import { getStoreList, getStoreTypeList } from '@/services/stock';
import { Alert, Row, Col } from 'antd';
import { useEffect, useState, useMemo } from 'react';
import Form from './Form';

export default (props) => {
  const { dish, onFinish } = props;

  const [ingredientsList, setIngredientsList] = useState([]);
  const [storeList, setStoreList] = useState([]);
  const [storeTypeList, setStoreTypeList] = useState([]);
  
  const foodDict = useMemo(() => storeList.map(x => ({ label: x.name, value: x.id, })), [storeList]);
  const Nutrition = useMemo(() => {
    if (!ingredientsList.length
      || !storeList.length
      || !storeTypeList.length
      ) return [];

    return ingredientsList.map(x => storeList.filter(y => y.id === x)[0])
      .map(x => storeTypeList.filter(y => y.id === x.typeId)[0].nutrition)
      .map((it, inx) => (<p key={inx}>{it}</p>));
  }, [ingredientsList, storeList, storeTypeList]);
  
  useEffect(() => {
    getStoreList({ isDish: 1, pageSize: 9999 }).then((res) => {
      setStoreList(res?.records || []);
    });
    getStoreTypeList({ isFood: 1, pageSize: 9999 }).then((res) => {
      setStoreTypeList(res?.records || []);
    });
  }, []);

  useEffect(() => {
    const { ingredientsIdList } = dish || {};
    setIngredientsList(ingredientsIdList || [])
  }, [dish]);

  return (
    <Row gutter={48}>
      <Col span={12}>
        <Form dish={dish} onFinish={onFinish} foodDict={foodDict} onIngredientsChange={setIngredientsList} />         
      </Col>
      <Col span={12}>
        <Alert message="营养元素" description={Nutrition} type="info" />
      </Col>
    </Row>
  );
};
