import { getDishById } from '@/services/dish';
import { PageContainer } from '@ant-design/pro-components';
import { useNavigate, useSearchParams } from 'react-router-dom';
import { Alert, Card, Row, Col, message, Space, Button } from 'antd';
import { useEffect, useRef, useState, useMemo } from 'react';
import Edit from './Edit';

export default (props) => {
  const [searchParams] = useSearchParams();
  const id = searchParams.get('id');
  const [dish, setDish] = useState();
  const navigate = useNavigate();
  
  useEffect(() => {
    if (id) {
      getDishById(id).then((res) => {
        setDish(res);
      });
    }
  }, [id]);

  const onFinish = (values) => {
    setDish(values);
    navigate(-1);
  };

  return (
    <PageContainer>
      <Card style={{ paddingTop: '24px' }}>
        <Edit dish={dish} onFinish={onFinish} />
      </Card>
    </PageContainer>
  );
};
