import React from 'react';
import { Button, Card, Typography } from 'antd';
import { useSearchParams, Link } from 'react-router-dom';
import { getMessage } from '@/services/message';
import useBool from '@/utils/hooks/useBool';

export default (props) => {
  const [searchParams] = useSearchParams();
  const [loading, startLoading, cancelLoading] = useBool(false);

  const [detail, setDetail] = React.useState({});
  const id = searchParams.get('id');

  React.useEffect(() => {
    if (id) {
      startLoading()
      getMessage(id).then((res) => {
        setDetail(res);
        cancelLoading();
      }).catch(() => {
        cancelLoading();
      });
    }
  }, [id]);

  return (
    <Card
      loading={loading}
      title={detail.createDate}
      actions={[
        <Button key={1} type="link" disabled={detail.isReaded}>设为已读</Button>,
        <Link>去处理</Link>
      ]}
    >
      <Typography.Paragraph>
        {detail.message}
      </Typography.Paragraph>
    </Card>
  )
}
