import React from 'react';
import { Card } from 'antd';
import './style.global.less';

const Header = props => {
  return (
    <div className="statis-card-header">
      <img src={props.icon} />
      <span>{props.children}</span>
    </div>
  )
}

export default (props) => {
  const { icon, title, extra } = props;

  return (
    <Card
      className="statis-card"
      title={<Header icon={icon}>{title}</Header>}
      extra={extra}
    >
      {props.children}
    </Card>
  )
}
